> For the complete documentation index, see [llms.txt](https://docs.sodex.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sodex.com/for-developers/api-reference/market-data-api/currency.md).

# Currency & Pairs

This module provides basic currency information, market snapshots, klines, supply history, trading pairs, and fundraising data.

## Endpoints

| Endpoint                                                                                                                    | Description                    |
| --------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| [GET /currencies](/for-developers/api-reference/market-data-api/currency/list.md)                                           | Get all listed currencies      |
| [GET /currencies/{currency\_id}](/for-developers/api-reference/market-data-api/currency/info.md)                            | Get currency details           |
| [GET /currencies/{currency\_id}/market-snapshot](/for-developers/api-reference/market-data-api/currency/market-snapshot.md) | Get currency market snapshot   |
| [GET /currencies/{currency\_id}/token-economics](/for-developers/api-reference/market-data-api/currency/token-economics.md) | Get token economics data       |
| [GET /currencies/{currency\_id}/klines](/for-developers/api-reference/market-data-api/currency/klines.md)                   | Get currency historical klines |
| [GET /currencies/{currency\_id}/supply](/for-developers/api-reference/market-data-api/currency/supply.md)                   | Get currency historical supply |
| [GET /currencies/{currency\_id}/pairs](/for-developers/api-reference/market-data-api/currency/pairs.md)                     | Get currency trading pairs     |
| [GET /currencies/sector-spotlight](/for-developers/api-reference/market-data-api/currency/sector-spotlight.md)              | Get sector and spotlight data  |
| [GET /currencies/{currency\_id}/fundraising](/for-developers/api-reference/market-data-api/currency/fundraising.md)         | Get currency fundraising info  |
